VST 3 SDK: BufferStream Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
BufferStream Class Reference

Stream implementation for a memory buffer. More...

`#include <vstpresetfile.h>`

Inheritance diagram for BufferStream:

## Public Member Functions
| BufferStream ()
virtual | ~BufferStream ()
DECLARE_FUNKNOWN_METHODS tresult | read (void *buffer, int32 numBytes, int32 *numBytesRead=nullptr) SMTG_OVERRIDE
tresult | write (void *buffer, int32 numBytes, int32 *numBytesWritten=nullptr) SMTG_OVERRIDE
tresult | seek (int64 pos, int32 mode, int64 *result=nullptr) SMTG_OVERRIDE
tresult | tell (int64 *pos) SMTG_OVERRIDE

## Protected Attributes
Buffer | mBuffer

## Additional Inherited Members
Public Types inherited from IBStream
enum | IStreamSeekMode
Public Attributes inherited from IBStream
| kIBSeekSet
| kIBSeekCur
| kIBSeekEnd
Static Public Attributes inherited from IBStream
static const FUID | iid

## Detailed Description

Stream implementation for a memory buffer.

## Constructor & Destructor Documentation

BufferStream | ( |  | ) |

~BufferStream | ( |  | ) |
| virtual

## Member Function Documentation

tresult read | ( | void * | buffer,
|  | int32 | numBytes,
|  | int32 * | numBytesRead = `nullptr`
| ) |  |
| virtual

Implements IBStream.

tresult write | ( | void * | buffer,
|  | int32 | numBytes,
|  | int32 * | numBytesWritten = `nullptr`
| ) |  |
| virtual

Implements IBStream.

tresult seek | ( | int64 | pos,
|  | int32 | mode,
|  | int64 * | result = `nullptr`
| ) |  |
| virtual

Implements IBStream.

tresult tell | ( | int64 * | pos | ) |
| virtual

Implements IBStream.

## Member Data Documentation

Buffer mBuffer
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.